Page MenuHomePhabricator

GrowthExperiments homepage requires PageViewInfo even it is declared as soft dependency
Closed, ResolvedPublic

Description

I discovered today the homepage fatals for me locally, because I didn't have PageViewInfo installed. https://www.mediawiki.org/wiki/Extension:GrowthExperiments and @kostajh both say PageViewInfo is a soft dependency, and thus, it shouldn't be required.

Traceback
[bde4cd381988eb10de4f461e] /mw/index.php?title=Special:Homepage&source=personaltoolslink&namespace=0 TypeError from line 56 of /mnt/c/Users/urban/unsynced/gerrit/mediawiki/extensions/GrowthExperiments/includes/Specials/SpecialHomepage.php: Argument 2 passed to GrowthExperiments\Specials\SpecialHomepage::__construct() must be an instance of MediaWiki\Extensions\PageViewInfo\PageViewService or null, instance of GrowthExperiments\NewcomerTasks\ConfigurationLoader\ErrorForwardingConfigurationLoader given, called in /mnt/c/Users/urban/unsynced/gerrit/mediawiki/core/vendor/wikimedia/object-factory/src/ObjectFactory.php on line 184

Backtrace:

#0 /mnt/c/Users/urban/unsynced/gerrit/mediawiki/core/vendor/wikimedia/object-factory/src/ObjectFactory.php(184): GrowthExperiments\Specials\SpecialHomepage->__construct(GrowthExperiments\AqsEditInfoService, GrowthExperiments\NewcomerTasks\ConfigurationLoader\ErrorForwardingConfigurationLoader)
#1 /mnt/c/Users/urban/unsynced/gerrit/mediawiki/core/vendor/wikimedia/object-factory/src/ObjectFactory.php(102): Wikimedia\ObjectFactory::getObjectFromSpec(array, array)
#2 /mnt/c/Users/urban/unsynced/gerrit/mediawiki/core/includes/specialpage/SpecialPageFactory.php(447): Wikimedia\ObjectFactory->createObject(array, array)
#3 /mnt/c/Users/urban/unsynced/gerrit/mediawiki/core/includes/MediaWiki.php(257): MediaWiki\Special\SpecialPageFactory->getPage(string)
#4 /mnt/c/Users/urban/unsynced/gerrit/mediawiki/core/includes/MediaWiki.php(967): MediaWiki->performRequest()
#5 /mnt/c/Users/urban/unsynced/gerrit/mediawiki/core/includes/MediaWiki.php(530): MediaWiki->main()
#6 /mnt/c/Users/urban/unsynced/gerrit/mediawiki/core/index.php(46): MediaWiki->run()
#7 {main}

Details

Related Gerrit Patches:
mediawiki/extensions/GrowthExperiments : wmf/1.35.0-wmf.10Make PageViewInfo a soft dependency
mediawiki/extensions/GrowthExperiments : masterMake PageViewInfo a soft dependency
mediawiki/extensions/GrowthExperiments : masterInject IDatabase to Impact module
mediawiki/extensions/GrowthExperiments : masterInject PageViewService into Impact and SpecialImpact

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 11 2019, 12:18 PM
kostajh claimed this task.Dec 11 2019, 12:25 PM
kostajh edited projects, added Growth-Team (Current Sprint); removed Growth-Team.

Change 556360 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@master] Make PageViewInfo a soft dependency

https://gerrit.wikimedia.org/r/556360

Change 556361 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@master] Inject PageViewService into Impact and SpecialImpact

https://gerrit.wikimedia.org/r/556361

Change 556362 had a related patch set uploaded (by Kosta Harlan; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@master] Inject IDatabase to Impact module

https://gerrit.wikimedia.org/r/556362

Change 556360 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Make PageViewInfo a soft dependency

https://gerrit.wikimedia.org/r/556360

Change 556361 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Inject PageViewService into Impact and SpecialImpact

https://gerrit.wikimedia.org/r/556361

Change 556362 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@master] Inject IDatabase to Impact module

https://gerrit.wikimedia.org/r/556362

Change 558819 had a related patch set uploaded (by Gergő Tisza; owner: Kosta Harlan):
[mediawiki/extensions/GrowthExperiments@wmf/1.35.0-wmf.10] Make PageViewInfo a soft dependency

https://gerrit.wikimedia.org/r/558819

Change 558819 merged by jenkins-bot:
[mediawiki/extensions/GrowthExperiments@wmf/1.35.0-wmf.10] Make PageViewInfo a soft dependency

https://gerrit.wikimedia.org/r/558819

Mentioned in SAL (#wikimedia-operations) [2019-12-18T10:09:35Z] <jforrester@deploy1001> Synchronized php-1.35.0-wmf.10/extensions/GrowthExperiments/includes: T240444 Make PageViewInfo a soft dependency (duration: 01m 04s)

Etonkovidova closed this task as Resolved.Dec 18 2019, 11:12 PM
Etonkovidova added a subscriber: Etonkovidova.

Checked in vagrant with only growthexperimetns role enabled. Special:Homepage can be enabled (it's enabled for new users by default) and no errors are present.